Bug 1566702 - Review Request: python-transitions - A lightweight, object-oriented finite state machine implementation in Python
Summary: Review Request: python-transitions - A lightweight, object-oriented finite st...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Stinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 20:03 UTC by Randy Barlow
Modified: 2018-12-18 03:41 UTC (History)
4 users (show)

Fixed In Version: python-transitions-0.6.8-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-12-18 03:05:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
brian: fedora-review+


Attachments (Terms of Use)

Description Randy Barlow 2018-04-12 20:03:28 UTC
Spec URL: https://bowlofeggs.fedorapeople.org/python-transitions.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/python-transitions-0.6.4-1.fc28.src.rpm
Description: A lightweight, object-oriented state machine implementation in 2 Python. Compatible with Python 2.7+ and 3.0+.
Fedora Account System Username: bowlofeggs

Comment 1 Brian Stinson 2018-04-26 03:17:59 UTC
The %check step is going to run the unittests so we need buildrequires on:
- python2-six
- python2-mock
- python2-pycodestyle
- python3-six
- python3-mock
- python3-pycodestyle

Otherwise, so far so good, I'll tag the output of fedora-review once we have an updated spec.

Comment 2 Randy Barlow 2018-07-31 21:48:39 UTC
Hey Brian!

I *finally* got around to fixing this. Sorry it took me so long. Upstream made a few releases, so I also updated to a newer version:

Spec URL: https://bowlofeggs.fedorapeople.org/python-transitions.spec
SRPM URL: https://bowlofeggs.fedorapeople.org/python-transitions-0.6.8-1.fc28.src.rpm

Comment 3 Brian Stinson 2018-12-06 00:15:53 UTC
This looks good. Since I took so long, I see there have been a couple of releases. I'm going to approve this review, but feel free to update to the lastest (0.6.9)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Cannot run licensecheck: Command 'licensecheck -r
     /var/lib/mock/fedora-29-x86_64/root/builddir/build/BUILD/transitions-0.6.8'
     returned non-zero exit status -15
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     transitions-docs , python2-transitions , python3-transitions
[X]: Package functions as described.
[X]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-transitions-docs-0.6.8-1.fc29.noarch.rpm
          python2-transitions-0.6.8-1.fc29.noarch.rpm
          python3-transitions-0.6.8-1.fc29.noarch.rpm
          python-transitions-0.6.8-1.fc29.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python-transitions-docs.noarch: W: invalid-url URL: https://github.com/pytransitions/transitions <urlopen error [Errno -2] Name or service not known>
python2-transitions.noarch: W: invalid-url URL: https://github.com/pytransitions/transitions <urlopen error [Errno -2] Name or service not known>
python3-transitions.noarch: W: invalid-url URL: https://github.com/pytransitions/transitions <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
python-transitions-docs (rpmlib, GLIBC filtered):

python2-transitions (rpmlib, GLIBC filtered):
    python(abi)
    python2-six

python3-transitions (rpmlib, GLIBC filtered):
    python(abi)
    python3-six



Provides
--------
python-transitions-docs:
    python-transitions-docs

python2-transitions:
    python-transitions
    python2-transitions
    python2.7dist(transitions)
    python2dist(transitions)

python3-transitions:
    python3-transitions
    python3.7dist(transitions)
    python3dist(transitions)



Source checksums
----------------
https://github.com/pytransitions/transitions/archive/0.6.8/transitions-0.6.8.tar.gz :
  CHECKSUM(SHA256) this package     : 22ca9e2a204a44bffe0428d9fe5d0c1c0afe763993ff4e8742fbcec73faa467a
  CHECKSUM(SHA256) upstream package : 22ca9e2a204a44bffe0428d9fe5d0c1c0afe763993ff4e8742fbcec73faa467a


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -n python-transitions
Buildroot used: fedora-29-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Gwyn Ciesla 2018-12-07 14:54:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-transitions

Comment 6 Fedora Update System 2018-12-07 18:54:26 UTC
python-transitions-0.6.8-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-382b68782b

Comment 7 Fedora Update System 2018-12-07 18:54:31 UTC
python-transitions-0.6.8-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-58728f66c2

Comment 8 Fedora Update System 2018-12-18 03:05:15 UTC
python-transitions-0.6.8-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-12-18 03:41:22 UTC
python-transitions-0.6.8-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.